//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "fwidmo_1.h"
#include "skala.h"
#include "widmo.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner) : TForm(Owner)
{
}
//---------------------------------------------------------------------------
//  Funkcja - reakcja na zdarzenie OnPaint
void __fastcall TForm1::FormPaint(TObject *Sender)
{
 int marg = 10;                     //margines
 int xe, ye;                        //współrzędne ekranowe piksela
 double lambda;                     //długość fali
 int jasn;                          //jasność światła
 TWidmo w;
 TSkalowanie s( marg, marg, ClientWidth-2*marg, ClientHeight-2*marg,
    (w.LAMBDA_MAX+w.LAMBDA_MIN)/2., 50,
     w.LAMBDA_MAX-w.LAMBDA_MIN, 100);

 for( xe=marg; xe < ClientWidth-marg; xe++)
 {
    for( ye=marg; ye < ClientHeight-marg; ye++)
    {
        lambda = s.daj_real_x( xe); //przeskalowanie współrzędnych
        jasn = s.daj_real_y( ye);
        Canvas -> Pixels[xe][ye] = w.lambda_to_kolor( jasn, lambda);
    }
 }
}
//---------------------------------------------------------------------------
